/*
   	ASMToCHex Qt
    Copyright (C) 2006 Jonas Gehring
        
    ASMToCHex Qt is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    ASMToCHex Qt is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ASMToCHex Qt; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>
#include <QPushButton>
#include <QRadioButton>
#include <QGroupBox>
#include <QLineEdit>
#include <QString>
#include <QMessageBox>
#include <QtGUI>
#include <QFile>


class MainWindow : public QWidget
{
    Q_OBJECT

public:
    MainWindow();

public slots:
    void inputFile();
    void outputFile();
	void convertFile();
	void showCredits();

private:
    QGroupBox *inputGroup;
    QGroupBox *outputGroup;
	QGroupBox *typeGroup;
	QGroupBox *formatGroup;
	QLineEdit *inputEdit;
	QLineEdit *outputEdit;
	QLineEdit *arrayEdit;
	QPushButton *inputButton;
	QPushButton *outputButton;
	QPushButton *convertButton;
	QPushButton *aboutButton;
	QPushButton *closeButton;
	QRadioButton *ucharRadio;
	QRadioButton *ushortRadio;
	QRadioButton *ulongRadio;
	QRadioButton *enableRadio;
	QRadioButton *disableRadio;
};

#endif
